;
; This file provides a few initializations for STk compatibility
;

(define (add-load-path x)
   (set! *load-path* (cons x *load-path*)))
(add-load-path *tunes-lib-path*)

(define sys$$require require)
(define sys$$provide provide)

(define (require x) (sys$$require (symbol->string x)))
(define (provide x) (sys$$provide (symbol->string x)))

(define sys$$exit exit)
(define sys$$getenv getenv)
(define sys$$system system)

(define values foo$$values)
(define call-with-values foo$$call-with-values)

(define-macro (define-macro% . x) `(define-macro . ,x))

(define sys$$eval eval)
