<?php include "memberconf.inc"; ?>

<TITLE>TUNES Project Members</TITLE>

<H1>TUNES Project Members</H1>

<p>

TUNES lurkers are those who think TUNES ideas are cool, or interesting, and
often check back at this site for updates.  If you are one of these people,
sign up below and you can get your information published on our site for
others to read.

<p>

TUNES members are those who go above and beyond visiting the site now and
then, and actually contribute something on the project. This might be as
little as posting on the <a href="http://cliki.tunes.org/">Cliki</a>, or as
involved as writing code for a prototype system that helps explore TUNES
ideas.  In either case, you need to go to Cliki to find out what the project
is up to and how you might be able to help.

<p>

If you actually need access to TUNES CVS or are a contributor and want a
@tunes.org email address or other hosting, then visit the <a
href="http://bespin.org/application.html">Bespin Account Application</a> page,
and enter TUNES as the project. If you show up on the <a
href="http://cliki.tunes.org/Contributors">Contributors</a> page, you will
probably be granted an account.

<p>
<H2>TUNES Lurkers</H2>
<P>

<P>
This is a list of people interested in TUNES.
To add your name to this page,
use this <A HREF="<?php echo $app_file ?>">Lurker Application Form</A>.
<P>
Already on the list?  <a href="<?php echo $members_file ?>">Edit your info</a>.
<p>

Note if you are viewing this page on a <a
href="../mirrors.html">mirror</a>, your changes will not take effect until
the next mirror update.  For the live version of this page, please see
<a href="http://tunes.org/members/">http://tunes.org/members/</a>.

<?php

	$database = pg_connect($dbconnstr);

	$result = pg_exec($database, "SELECT * FROM members WHERE active='t' ORDER BY joined");

	$nrows = pg_numrows($result);
	for ($currow = 0; $currow < $nrows; $currow++)
	{
		$member = pg_fetch_array($result, $currow);

		print <<<EOF
<p>
<a name="$member[alias]"></a>
<table border="1"><tr>
<td><em>Name:</em> $member[name]</em></td>
<td><em>Alias:</em> $member[alias]</em></td>
</tr><tr>
<td><em>E-mail:</em> <a href="mailto:$member[no_spam_email]">$member[no_spam_email]</a></td>
<td><em>Alt:</em> <a href="mailto:$member[altemail]">$member[altemail]</a></td>
</tr><tr>
<td><em>Homepage:</em> <a href="$member[homepage]">$member[homepage]</a></td>
<td><em>Alt:</em> <a href="$member[althomepage]">$member[althomepage]</a></td></tr>
<tr><td colspan="2"><em>Software Skills:</em><br>
$member[skills]
</td></tr>
<tr><td colspan="2"><em>Software Goals:</em><br>
$member[goals]
</td></tr>
<tr><td colspan="2"><em>Availability:</em><br>
$member[avail]
</td></tr>
<tr><td colspan="2"><em>Reason for being a member:</em><br>
$member[reason]
</td></tr>
</table>
EOF;

	}

?>
